
Showroom Mobile Banking - Bug #14768

MB - Move this.commonService.showLoading to caller instead of effect

15 November 2022 09:27 AM - chok yee fan

Status: Closed Start date: 15 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

issue

-------

this.commonService.showLoading in effect is not fast enough render into the screen

expected

-------

Move this.commonService.showLoading to caller instead of effect

Noted: same with this.commonService.hideLoading(); beware of mutliple action dispatch

History

#1 - 16 November 2022 08:12 PM - Megat AhmadSalehudin

- Status changed from New to Assigned

- Assignee changed from Megat AhmadSalehudin to Wee Meng Soh

- % Done changed from 0 to 50

r219962 | ahmadsalehudin | 2022-11-16 20:11:36 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/loan-financing/loan-listing.t

s

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/faq/faq.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/fixed-deposit/fd-ack.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/faq/faq.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-details.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transf

er-confirmation.page.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/services/download-file.servic

e.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/introduction-wizard/language-selectio

n.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/login-secphrase.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/CASA/accounts-CASA-Det

ails.ts

D /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/home/home-routing.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-req-replace

ment/cc-req-replacement.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/introduction-wizard/introduction-wizar

d.effect.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/loan-repayment/loan-repayment.ts

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-temp-incr-cr

-limit/cc-temp-incr-cr-limit.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-otn/cc-otn.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-selection.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/notification/notification.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-report-stole

n/cc-report-stolen.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/notification/notification.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/home/home.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-update-cont

act-info/cc-update-contact-info.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-ack.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-listing.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/efd-placement-ack/efd-placement-ac

k.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-receipt/fund-transfer-re

ceipt.page.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/CASA/CASA-listing.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/logout.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/login-secpassword.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fd-fpx-withdrawal/perform-fd-fpx-with

drawal.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-cart/fund-transfer-cart.p

age.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-pay-own/cc-

pay-own.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/home/side-menu.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-perm-incr-cr

-limit/cc-perm-incr-cr-limit.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-secure/fund-transfer-se

cure.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-activation/c

c-activation.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-confirmation.t

s

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-details.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/fixed-deposit/fd-details.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.page.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/FPX/perform-initial-transfer.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/login-tac.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/efd-placement/efd-placement.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/accounts/CASA/accounts-CASA-De

tails.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-card-payme

nt/cc-card-payment.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/loan-financing/loan-details.t

s

Megat - Bug #14768 - MB - Move this.commonService.showLoading to caller instead of effect

Note: Please continue from this redmine
https://dev.silverlakemobility.com/redmine/issues/14768


#2 - 21 November 2022 11:31 PM - Wee Meng Soh

- File Screenshot 2022-11-21 at 11.31.12 PM.png added

- Status changed from Assigned to Resolved

- Assignee changed from Wee Meng Soh to Hoo Dextor

- % Done changed from 50 to 100

weemeng.soh: Bug #14768 - MB - Move this.commonService.showLoading to caller instead of effect

#3 - 11 September 2023 10:17 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files

Screenshot 2022-11-21 at 11.31.12 PM.png 709 KB 21 November 2022 Wee Meng Soh
